MPD: WritableBuffer< void > Struct Template Reference

MPD 0.20.18

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
WritableBuffer< void > Struct Template Reference

`#include <WritableBuffer.hxx>`

## Public Types
typedef size_t | size_type
typedef void * | pointer_type
typedef const void * | const_pointer_type
typedef pointer_type | iterator
typedef const_pointer_type | const_iterator

## Public Member Functions
| WritableBuffer ()=default
constexpr | WritableBuffer (std::nullptr_t)
constexpr | WritableBuffer (pointer_type _data, size_type _size)
constexpr bool | IsNull () const
constexpr bool | IsEmpty () const

## Static Public Member Functions
static constexpr WritableBuffer | Null ()

## Data Fields
pointer_type | data
size_type | size

## Detailed Description

### template<>
struct WritableBuffer< void >

Definition at line 45 of file WritableBuffer.hxx.

## Member Typedef Documentation

## ◆ const_iterator

typedef const_pointer_type WritableBuffer< void >::const_iterator

Definition at line 50 of file WritableBuffer.hxx.

## ◆ const_pointer_type

typedef const void* WritableBuffer< void >::const_pointer_type

Definition at line 48 of file WritableBuffer.hxx.

## ◆ iterator

typedef pointer_type WritableBuffer< void >::iterator

Definition at line 49 of file WritableBuffer.hxx.

## ◆ pointer_type

typedef void* WritableBuffer< void >::pointer_type

Definition at line 47 of file WritableBuffer.hxx.

## ◆ size_type

typedef size_t WritableBuffer< void >::size_type

Definition at line 46 of file WritableBuffer.hxx.

## Constructor & Destructor Documentation

## ◆ WritableBuffer() [1/3]

WritableBuffer< void >::WritableBuffer | ( |  | ) |
| default

## ◆ WritableBuffer() [2/3]

constexpr WritableBuffer< void >::WritableBuffer | ( | std::nullptr_t |  | ) |
| inline

Definition at line 57 of file WritableBuffer.hxx.

## ◆ WritableBuffer() [3/3]

constexpr WritableBuffer< void >::WritableBuffer | ( | pointer_type | _data,
|  | size_type | _size
| ) |  |
| inline

Definition at line 59 of file WritableBuffer.hxx.

## Member Function Documentation

## ◆ IsEmpty()

constexpr bool WritableBuffer< void >::IsEmpty | ( |  | ) | const
| inline

Definition at line 70 of file WritableBuffer.hxx.

## ◆ IsNull()

constexpr bool WritableBuffer< void >::IsNull | ( |  | ) | const
| inline

Definition at line 66 of file WritableBuffer.hxx.

## ◆ Null()

static constexpr WritableBuffer WritableBuffer< void >::Null | ( |  | ) |
| inlinestatic

Definition at line 62 of file WritableBuffer.hxx.

## Field Documentation

## ◆ data

pointer_type WritableBuffer< void >::data

Definition at line 52 of file WritableBuffer.hxx.

## ◆ size

size_type WritableBuffer< void >::size

Definition at line 53 of file WritableBuffer.hxx.

The documentation for this struct was generated from the following file:

- util/WritableBuffer.hxx